<template>
  <div>
    <CardWidget ancho="col-auto" icon_position="right" :datos="dataSet" />
    <Loading :showing="loading" />
  </div>
</template>

<script lang="ts">
import { AxiosResponse } from 'axios';
import { api } from 'src/boot/axios/index';
import { defineComponent, ref, onMounted } from 'vue';
import { useRoute } from 'vue-router';
import CardWidget, { CardWidgetType } from 'src/components/CardWidget.vue';
import Loading from 'src/components/Loading.vue';
export default defineComponent({
  name: 'ExperienciasPage',
  components: { CardWidget, Loading },
  setup() {
    const loading = ref(true);
    const route = useRoute();
    const uuid = <string>route.params.uuid;
    onMounted(() => {
      getContador();
    });

    const dataSet = ref<CardWidgetType[]>([]);

    function getContador() {
      loading.value = true;
      api
        .get('/api/formacion/participantes/contador/' + uuid)
        .then((response: AxiosResponse) => {
          //dataSet.value = response.data;

          dataSet.value.push({
            titulo: 'Total',
            color: 'purple',
            icono: 'directions_run',
            valor: 0,
            link: '?estado=0',
          });

          response.data.forEach((item: CardWidgetType) => {
            dataSet.value[0].valor += item.total;
            dataSet.value.push({
              titulo: item.estado,
              color: item.color,
              icono: item.icono,
              valor: item.total,
              link: '?estado=' + item.id,
            });
          });
        })
        .finally(() => {
          loading.value = false;
        });
    }
    /*
    // Funcion que genera un filtrado por estados
    function FnFiltrado(value: string) {
      listado.value = listadoOriginal.value.filter((item: Monitor) => {
        if (value === 'critico') {
          return item.fallo.tipo == 'critico';
        } else if (value === 'alerta') {
          return item.fallo.tipo === 'critico' && item.tiempo_offline === 0;
        } else if (value === 'activas') {
          return !item.fallo;
        }
        return true;
      });
    }*/
    return {
      dataSet,
      loading,
    };
  },
});
</script>
